Package org.opencv.ximgproc

## Class DisparityWLSFilter

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.DisparityFilter
    - - org.opencv.ximgproc.DisparityWLSFilter

-     public class DisparityWLSFilter
      extends DisparityFilter

  Disparity map filter based on Weighted Least Squares filter (in form of Fast Global Smoother that is a lot faster than traditional Weighted Least Squares filter implementations) and optional use of left-right-consistency-based confidence to refine the results in half-occlusions and uniform areas.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DisparityWLSFilter​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DisparityWLSFilter` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `Mat` | `getConfidenceMap()` | Get the confidence map that was used in the last filter call.
    `int` | `getDepthDiscontinuityRadius()` | DepthDiscontinuityRadius is a parameter used in confidence computation.
    `double` | `getLambda()` | Lambda is a parameter defining the amount of regularization during filtering.
    `int` | `getLRCthresh()` | LRCthresh is a threshold of disparity difference used in left-right-consistency check during confidence map computation.
    `Rect` | `getROI()` | Get the ROI used in the last filter call
    `double` | `getSigmaColor()` | SigmaColor is a parameter defining how sensitive the filtering process is to source image edges.
    `void` | `setDepthDiscontinuityRadius​(int _disc_radius)` | SEE: getDepthDiscontinuityRadius
    `void` | `setLambda​(double _lambda)` | SEE: getLambda
    `void` | `setLRCthresh​(int _LRC_thresh)` | SEE: getLRCthresh
    `void` | `setSigmaColor​(double _sigma_color)` | SEE: getSigmaColor

    - ### Methods inherited from class org.opencv.ximgproc.DisparityFilter

      `filter, filter, filter, filter`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisparityWLSFilter

          protected DisparityWLSFilter​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static DisparityWLSFilter __fromPtr__​(long addr)

    - #### getConfidenceMap

          public Mat getConfidenceMap()

      Get the confidence map that was used in the last filter call. It is a CV_32F one-channel image with values ranging from 0.0 (totally untrusted regions of the raw disparity map) to 255.0 (regions containing correct disparity values with a high degree of confidence).
      Returns:
        automatically generated

    - #### getROI

          public Rect getROI()

      Get the ROI used in the last filter call
      Returns:
        automatically generated

    - #### getLambda

          public double getLambda()

      Lambda is a parameter defining the amount of regularization during filtering. Larger values force filtered disparity map edges to adhere more to source image edges. Typical value is 8000.
      Returns:
        automatically generated

    - #### getSigmaColor

          public double getSigmaColor()

      SigmaColor is a parameter defining how sensitive the filtering process is to source image edges. Large values can lead to disparity leakage through low-contrast edges. Small values can make the filter too sensitive to noise and textures in the source image. Typical values range from 0.8 to 2.0.
      Returns:
        automatically generated

    - #### getDepthDiscontinuityRadius

          public int getDepthDiscontinuityRadius()

      DepthDiscontinuityRadius is a parameter used in confidence computation. It defines the size of low-confidence regions around depth discontinuities.
      Returns:
        automatically generated

    - #### getLRCthresh

          public int getLRCthresh()

      LRCthresh is a threshold of disparity difference used in left-right-consistency check during confidence map computation. The default value of 24 (1.5 pixels) is virtually always good enough.
      Returns:
        automatically generated

    - #### setDepthDiscontinuityRadius

          public void setDepthDiscontinuityRadius​(int _disc_radius)

      SEE: getDepthDiscontinuityRadius
      Parameters:
        `_disc_radius` - automatically generated

    - #### setLRCthresh

          public void setLRCthresh​(int _LRC_thresh)

      SEE: getLRCthresh
      Parameters:
        `_LRC_thresh` - automatically generated

    - #### setLambda

          public void setLambda​(double _lambda)

      SEE: getLambda
      Parameters:
        `_lambda` - automatically generated

    - #### setSigmaColor

          public void setSigmaColor​(double _sigma_color)

      SEE: getSigmaColor
      Parameters:
        `_sigma_color` - automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `DisparityFilter`
      Throws:
        `java.lang.Throwable`